## qubes-pdf-converter 2.1.6

=== Makefile ===
#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2013  Joanna Rutkowska <joanna@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#

RPMS_DIR=rpm/
VERSION := $(shell cat version)

help:
	@echo "Qubes addons main Makefile:" ;\
	    echo "make rpms                 <--- make rpms and sign them";\
	    echo; \
	    echo "make clean                <--- clean all the binary files";\
	    echo "make update-repo-current  <-- copy newly generated rpms to qubes yum repo";\
	    echo "make update-repo-current-testing <-- same, but for -current-testing repo";\
	    echo "make update-repo-unstable <-- same, but to -testing repo";\
	    echo "make update-repo-installer -- copy dom0 rpms to installer repo"
	    @exit 0;

rpms: rpms-vm

rpms-dom0:
	rpmbuild --define "_rpmdir rpm/" -bb rpm_spec/qpdf-converter-dom0.spec
	rpm --addsign rpm/x86_64/qubes-pdf-converter-dom0*$(VERSION)*.rpm

rpms-vm:
	rpmbuild --define "_rpmdir rpm/" -bb rpm_spec/qpdf-converter.spec
	rpm --addsign rpm/x86_64/qubes-pdf-converter*$(VERSION)*.rpm

update-repo-current:
	for vmrepo in ../yum/current-release/current/vm/* ; do \
		dist=$$(basename $$vmrepo) ;\
		ln -f $(RPMS_DIR)/x86_64/qubes-pdf-converter*$(VERSION)*$$dist*.rpm $$vmrepo/rpm/ ;\
	done
	ln -f $(RPMS_DIR)/x86_64/qubes-pdf-converter-dom0-*$(VERSION)*.rpm ../yum/current-release/current/dom0/rpm/

update-repo-current-testing:
	for vmrepo in ../yum/current-release/current-testing/vm/* ; do \
		dist=$$(basename $$vmrepo) ;\
		ln -f $(RPMS_DIR)/x86_64/qubes-pdf-converter*$(VERSION)*$$dist*.rpm $$vmrepo/rpm/ ;\
	done
	ln -f $(RPMS_DIR)/x86_64/qubes-pdf-converter-dom0-*$(VERSION)*.rpm ../yum/current-release/current-testing/dom0/rpm/

update-repo-unstable:
	for vmrepo in ../yum/current-release/unstable/vm/* ; do \
		dist=$$(basename $$vmrepo) ;\
		ln -f $(RPMS_DIR)/x86_64/qubes-pdf-converter*$(VERSION)*$$dist*.rpm $$vmrepo/rpm/ ;\
	done
	ln -f $(RPMS_DIR)/x86_64/qubes-pdf-converter-dom0-*$(VERSION)*.rpm ../yum/current-release/unstable/dom0/rpm/

update-repo-template:
	for vmrepo in ../template-builder/yum_repo_qubes/* ; do \
		dist=$$(basename $$vmrepo) ;\
		ln -f $(RPMS_DIR)/x86_64/qubes-pdf-converter*$(VERSION)*$$dist*.rpm $$vmrepo/rpm/ ;\
	done

update-repo-installer:
	ln -f $(RPMS_DIR)/x86_64/qubes-pdf-converter-dom0-*$(VERSION)*.rpm ../installer/yum/qubes-dom0/rpm/

build:
	make manpages -C doc

install-vm:
	make install -C doc
	install -D -m 0644 qubes.PdfConvert $(DESTDIR)/etc/qubes-rpc/qubes.PdfConvert
	install -D qvm-convert-pdf $(DESTDIR)/usr/bin/qvm-convert-pdf
	install -D qpdf-convert-client $(DESTDIR)/usr/lib/qubes/qpdf-convert-client
	install -D qpdf-convert-server $(DESTDIR)/usr/lib/qubes/qpdf-convert-server
	install -D qvm-convert-pdf.gnome $(DESTDIR)/usr/lib/qubes/qvm-convert-pdf.gnome
	install -d $(DESTDIR)/usr/share/nautilus-python/extensions
	install -m 0755 qvm_convert_pdf_nautilus.py $(DESTDIR)/usr/share/nautilus-python/extensions
	install -d $(DESTDIR)/usr/share/kde4/services
	install -m 0644 qvm-convert-pdf.desktop $(DESTDIR)/usr/share/kde4/services

install-dom0:
	python2 setup.py install -O1 --root $(DESTDIR)
	python3 setup.py install -O1 --root $(DESTDIR)

clean:

=== debian/changelog ===
qubes-pdf-converter (2.1.6-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Fri, 22 Mar 2019 00:16:22 +0100

qubes-pdf-converter (2.1.6-1) unstable; urgency=medium

  * debian: don't create orig.tar.gz manually
  * rpm: use explicit versioned python macros
  * travis: update to R4.1

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 22 Mar 2019 00:16:22 +0100

qubes-pdf-converter (2.1.5-1) unstable; urgency=medium

  * tests: skip tests on Whonix - the pdf converter is not installed
    there

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 09 Oct 2018 02:54:08 +0200

qubes-pdf-converter (2.1.4-1) unstable; urgency=medium

  [ Frédéric Pierret ]
  * Create .spec.in and Source0
  * spec.in: add changelog placeholder

  [ Marek Marczykowski-Górecki ]
  * travis: update fedora versions

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 04 May 2018 02:31:58 +0200

qubes-pdf-converter (2.1.3-1) unstable; urgency=medium

  * travis: add fc25 build
  * travis: drop 3.1, add 4.0 and fc26 builds
  * Use POSIX standard >&2 redirection for stderr
  * Exit with code 0 on success
  * tests: make them python3 compatible
  * Apply shellcheck hints
  * travis: run shellcheck
  * Update qrexec-client-vm localtion

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 23 Dec 2017 02:56:21 +0100

qubes-pdf-converter (2.1.2-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * rpm: add missing BR: python-setuptools

  [ Nicklaus McClendon ]
  * Removed .travis.yml debootstrap fix
  * Added qvm-convert-pdf manpage

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 07 Mar 2017 03:35:30 +0100

qubes-pdf-converter (2.1.1-1) wheezy; urgency=medium

  [ Joanna Rutkowska ]
  * Improve converted pages merging algorithm, use pdfunite instead of
    convert.
  * Introduce compression of the rcvd RGB bitmaps
  * Add README.md
  * Fix spellings
  * version 2.1.0
  * Properly quote filename which are provided by the user

  [ Marek Marczykowski-Górecki ]
  * Add tests
  * tests: synthesize test.pdf from SVG instead of txt

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 04 Sep 2016 19:56:52 +0200

qubes-pdf-converter (2.0.5-1) wheezy; urgency=medium

  * travis: initial version
  * Add dolphin menu entry

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 17 Jul 2016 05:24:54 +0200

qubes-pdf-converter (2.0.4-1) wheezy; urgency=medium

  * gitignore pkgs
  * Save output file in the same directory as the source one
  * Refactor error reporting: show error via zenity when GUI reporting
    enabled
  * Report error while saving output files

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 20 Dec 2015 21:04:53 +0100

qubes-pdf-converter (2.0.3-1) wheezy; urgency=medium

  [ Jason Mehring ]
  * Removed nautilus-actions depend and replaced with nautilus-python
  * debian: Added a Debian package for app-linux-pdf-converter
  * Added .gitignore file to ignore rpm/ and deb/ directories

  [ Marek Marczykowski-Górecki ]
  * debian: Use DEBIAN_PARSER variable provided by builder

  [ Jason Mehring ]
  * wheezy: Change imagemagick to lowercase for wheezy

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 27 Mar 2015 00:35:36 +0100

qubes-pdf-converter (2.0.2-1) unstable; urgency=low

  * Initial Release.

 -- Jason Mehring <nrgaway@gmail.com>  Tue, 25 Feb 2015 00:00:00 +0000

## qubes-pdf-converter 2.1.7

=== Makefile ===
--- 
+++ 
@@ -78,10 +78,11 @@
 
 install-vm:
 	make install -C doc
-	install -D -m 0644 qubes.PdfConvert $(DESTDIR)/etc/qubes-rpc/qubes.PdfConvert
 	install -D qvm-convert-pdf $(DESTDIR)/usr/bin/qvm-convert-pdf
 	install -D qpdf-convert-client $(DESTDIR)/usr/lib/qubes/qpdf-convert-client
 	install -D qpdf-convert-server $(DESTDIR)/usr/lib/qubes/qpdf-convert-server
+	install -d $(DESTDIR)/etc/qubes-rpc
+	ln -s ../../usr/lib/qubes/qpdf-convert-server $(DESTDIR)/etc/qubes-rpc/qubes.PdfConvert
 	install -D qvm-convert-pdf.gnome $(DESTDIR)/usr/lib/qubes/qvm-convert-pdf.gnome
 	install -d $(DESTDIR)/usr/share/nautilus-python/extensions
 	install -m 0755 qvm_convert_pdf_nautilus.py $(DESTDIR)/usr/share/nautilus-python/extensions

=== debian/changelog ===
qubes-pdf-converter (2.1.7-1+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Sun, 01 Mar 2020 20:41:05 +0100

qubes-pdf-converter (2.1.7-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to bionic
  * travis: switch to dom0 Fedora 31

  [ Marek Marczykowski-Górecki ]
  * Replace /etc/qubes-rpc/qubes.PdfConvert with a symlink
  * Don't make the qrexec policy executable
  * travis: refresh distributions versions

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 01 Mar 2020 20:41:05 +0100

=== debian/control ===
Source: qubes-pdf-converter
Section: admin
Priority: extra
Maintainer: Jason Mehring <nrgaway@gmail.com>
Build-Depends: debhelper (>= 9~), dh-python, pandoc, python-all (>= 2.6.6-3~), python-setuptools, quilt
X-Python-Version: 2.7
Standards-Version: 3.9.5
Homepage: http://www.qubes-os.org

Package: qubes-pdf-converter
Section: admin
Architecture: any
Depends: poppler-utils, imagemagick, python-nautilus, ${misc:Depends}
Description: The Qubes service for converting untrusted PDF files into trusted ones

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DESTDIR=$(shell readlink -m .)/debian/tmp

%:
	dh $@

override_dh_auto_install:
	make install-vm

## qubes-pdf-converter 2.1.8

=== Makefile ===
--- 
+++ 
@@ -90,7 +90,6 @@
 	install -m 0644 qvm-convert-pdf.desktop $(DESTDIR)/usr/share/kde4/services
 
 install-dom0:
-	python2 setup.py install -O1 --root $(DESTDIR)
 	python3 setup.py install -O1 --root $(DESTDIR)
 
 clean:

=== debian/changelog ===
qubes-pdf-converter (2.1.8-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Mon, 25 May 2020 04:16:24 +0200

qubes-pdf-converter (2.1.8-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Drop python2

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 25 May 2020 04:16:24 +0200

## qubes-pdf-converter 2.1.9

=== debian/changelog ===
qubes-pdf-converter (2.1.9-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sat, 10 Oct 2020 16:24:35 +0200

qubes-pdf-converter (2.1.9-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * debian: conditional python version dependencies
  * debian: fix typo in rules
  * debian: update control syntax for python nautilus

  [ Jason Phan ]
  * readme: Remove extra parenthesis
  * wrapper: Update qvm-convert-pdf into Python 3
  * wrapper: Add logging and trim options
  * wrapper: Prepare for multiple file support
  * wrapper: Remove unneeded main() try block
  * wrapper: Remove logging
  * client: Update to Python 3
  * wrapper, client: Re-add logging
  * wrapper: PEP 8
  * client: Add qrexec wrapper functions
  * client: PEP 8
  * server: Refactor to Python 3
  * client, server: Add documentation
  * server: Make check_output() return a String instead of a bytestring
  * wrapper: Add documentation
  * Add .py extensions and update install commands
  * readme: Update usage example
  * wrapper: Fix leftover debugging command
  * wrapper: Trim down argument parsing
  * wrapper: Move logging config to global namespace
  * client, server: Fix stream flushing
  * client: Handle EOFErrors if server suddenly dies
  * server: Avoid errors if subprocess command fails
  * server, client: Grammar
  * client: Use OG stdout file descriptor
  * server: Fix location of STDOUT flush call
  * wrapper: Simplify argument parsing
  * wrapper: Add non-file check
  * wrapper, client, server: Qualify variable names
  * server, client: Remove unecessary documentation
  * readme: Update language
  * Add support for multiple files
  * Update docs
  * client, server: Replace recv() with recvline_b()
  * client: Remove redundant check condition
  * client, server: Add custom exceptions
  * client, server: Update utility functions
  * client: Combine image dimension functions
  * client, server: Update initial phase
  * client, server: Update to asyncio and new model
  * client, server: Move to pdf-converter directory
  * meta: Remove extra file
  * tests: Moved to pdf-converter/tests
  * meta: Remove extra file
  * meta: Remove wrapper
  * client: Fix error handling for readexactly()
  * client: Remove extra byte for send()
  * client: Remove unneeded PID prefix for tmpdir
  * client: Remove unused recv()
  * server: Remove uneeded quoting in identify command
  * Rename source directory
  * client: Start batch processing code
  * client: Add CLI parameter handling
  * client: Update error handling
  * server: Remove recv_pdf()
  * server: Update error handling
  * server: Update sending process
  * client: Replace click.echo()
  * client, server: Add Representation & *File objects
  * server: Remove nonexistent PageError
  * client, server: Remove unused imports
  * client, server: Rename unsanitized file class
  * client: Add --archive, --dry-run, and --in-place
  * client: Implement --in-place
  * client: Add initial version of tqdm output
  * client: Replace namedtuple with dataclass
  * client, server: Update UI, design, and error handling
  * client: Fix lower bound for batch size
  * client: Update shebang to 3.7
  * setup: Add tqdm dependency
  * client: Update docstring
  * client, server: Replace shellcheck with pylint
  * travis: Add pylint dependency
  * travis: fix paths and try without --exit-code
  * travis: Re-add --exit-code because i was right the first time
  * travis: Attempt to fix pylint
  * travis: remove --exit-code
  * travis: Update imports and pylint exceptions
  * client: Use python3 shebang
  * server: Handle non-ASCII output from pdfinfo(1)
  * server: Prevent CPU hogging by PNG tasks
  * server: Rename batch entry variables
  * client: Implement bulk saves and remove reps appropriately
  * client: Exit with 1 on error
  * meta: Copyright info
  * pylint: Add bad-continuation to .pylintrc
  * client: Simplify image appending
  * client: Fix output spacing
  * client: Handle out of space error
  * client: Add support for older tqdm versions
  * pylint: Add expression-not-assigned
  * makefile: Resolve makefile conflict

  [ Marek Marczykowski-Górecki ]
  * Adjust dependencies after python rewrite
  * travis: include R4.0 dom0 too
  * Install only tests with older python
  * Move tests back to qubespdfconverter.tests
  * Add qubespdfconverter/__init__.py
  * Drop executable bit from nautilus extension
  * Use proper python package installation for the VM part too
  * require python 3.7+, exclude stretch, jessie and centos

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 10 Oct 2020 16:24:35 +0200

## qubes-pdf-converter 2.1.10

=== Makefile ===
#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2013  Joanna Rutkowska <joanna@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#

build:
	make manpages -C doc

install-vm:
	make install -C doc
	python3 setup.py install -O1 $(PYTHON_PREFIX_ARG) --root $(DESTDIR)
	install -d $(DESTDIR)/etc/qubes-rpc
	ln -s ../../usr/lib/qubes/qpdf-convert-server $(DESTDIR)/etc/qubes-rpc/qubes.PdfConvert
	install -D qvm-convert-pdf.gnome $(DESTDIR)/usr/lib/qubes/qvm-convert-pdf.gnome
	install -d $(DESTDIR)/usr/share/nautilus-python/extensions
	install -m 0644 qvm_convert_pdf_nautilus.py $(DESTDIR)/usr/share/nautilus-python/extensions
	install -d $(DESTDIR)/usr/share/kde4/services
	install -m 0644 qvm-convert-pdf.desktop $(DESTDIR)/usr/share/kde4/services

install-dom0:
	python3 setup.py install -O1 --root $(DESTDIR)
	# not needed in dom0
	rm -f $(DESTDIR)/usr/bin/qvm-convert-pdf
	rm -f $(DESTDIR)/usr/lib/qubes/qpdf-convert-server

clean:
	rm -rf debian/changelog.*
	rm -rf pkgs

=== doc/Makefile ===
PANDOC=pandoc -s -f rst -t man

DOCS=$(patsubst %.rst,%.1.gz,$(wildcard *.rst))

help:
	@echo "make rst=example.rst preview	-- generate manpage preview from example.rst"
	@echo "make manpages			-- generate manpages"
	@echo "make install			-- generate manpages and copy them to /usr/share/man"

install: manpages
	install -d $(DESTDIR)/usr/share/man/man1
	install -D $(DOCS) $(DESTDIR)/usr/share/man/man1/

%.1: %.rst
	$(PANDOC) $< > $@

%.1.gz: %.1
	gzip -f $<

manpages: $(DOCS)

clean:
	rm -f $(DOCS)

=== debian/changelog ===
qubes-pdf-converter (2.1.10-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sun, 18 Oct 2020 06:29:47 +0200

qubes-pdf-converter (2.1.10-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Python38 is now available for CentOS8

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 18 Oct 2020 06:29:47 +0200

## qubes-pdf-converter 2.1.11

=== debian/changelog ===
qubes-pdf-converter (2.1.11-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sun, 18 Oct 2020 18:02:51 +0200

qubes-pdf-converter (2.1.11-1) unstable; urgency=medium

  * rpm: add PYTHON variable to define right Python binary

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 18 Oct 2020 18:02:51 +0200

## qubes-pdf-converter 2.1.12

=== Makefile ===
--- 
+++ 
@@ -19,12 +19,14 @@
 #
 #
 
+PYTHON ?= python3
+
 build:
 	make manpages -C doc
 
 install-vm:
 	make install -C doc
-	python3 setup.py install -O1 $(PYTHON_PREFIX_ARG) --root $(DESTDIR)
+	$(PYTHON) setup.py install -O1 $(PYTHON_PREFIX_ARG) --root $(DESTDIR)
 	install -d $(DESTDIR)/etc/qubes-rpc
 	ln -s ../../usr/lib/qubes/qpdf-convert-server $(DESTDIR)/etc/qubes-rpc/qubes.PdfConvert
 	install -D qvm-convert-pdf.gnome $(DESTDIR)/usr/lib/qubes/qvm-convert-pdf.gnome
@@ -34,7 +36,7 @@
 	install -m 0644 qvm-convert-pdf.desktop $(DESTDIR)/usr/share/kde4/services
 
 install-dom0:
-	python3 setup.py install -O1 --root $(DESTDIR)
+	$(PYTHON) setup.py install -O1 --root $(DESTDIR)
 	# not needed in dom0
 	rm -f $(DESTDIR)/usr/bin/qvm-convert-pdf
 	rm -f $(DESTDIR)/usr/lib/qubes/qpdf-convert-server

=== debian/changelog ===
qubes-pdf-converter (2.1.12-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sun, 23 May 2021 17:24:37 +0200

qubes-pdf-converter (2.1.12-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Add .gitlab-ci.yml

  [ Marek Marczykowski-Górecki ]
  * gitlab-ci: move pylint earlier

  [ Frédéric Pierret (fepitre) ]
  * spec: add BR make

  [ Rot127 ]
  * Fix issue #5975 like @icequbes1 suggested.

  [ Andrew David Wong ]
  * Copyedit text

  [ Frédéric Pierret (fepitre) ]
  * spec: exclude unsupported CentOS

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 23 May 2021 17:24:37 +0200

=== debian/control ===
Source: qubes-pdf-converter
Section: admin
Priority: extra
Maintainer: Jason Mehring <nrgaway@gmail.com>
Build-Depends:
 debhelper (>= 9~),
 dh-python,
 python3-setuptools,
 pandoc,
 quilt
X-Python-Version: 2.7
Standards-Version: 3.9.5
Homepage: http://www.qubes-os.org

Package: qubes-pdf-converter
Section: admin
Architecture: any
Depends:
 poppler-utils,
 imagemagick,
 python3 (>= 3.7.0),
 python3-nautilus | python-nautilus,
 python3-click,
 python3-pillow,
 python3-tqdm,
 ${misc:Depends}
Description: The Qubes service for converting untrusted PDF files into trusted ones

## qubes-pdf-converter 2.1.13

=== debian/changelog ===
qubes-pdf-converter (2.1.13-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Thu, 27 Oct 2022 01:36:38 +0200

qubes-pdf-converter (2.1.13-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Make pylint happy

  [ Frédéric Pierret (fepitre) ]
  * Drop Travis CI
  * Add Qubes Builder v2 integration
  * .qubesbuilder: replace 'spec' by 'build'

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 27 Oct 2022 01:36:38 +0200

## qubes-pdf-converter 2.1.14

=== debian/changelog ===
qubes-pdf-converter (2.1.14-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Tue, 29 Nov 2022 05:18:33 +0100

qubes-pdf-converter (2.1.14-1) unstable; urgency=medium

  [ noskb ]
  * qvm_convert_pdf_nautilus.py: adjust to work with Nautilus API 4.0

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 29 Nov 2022 05:18:33 +0100

## qubes-pdf-converter 2.1.15

=== debian/changelog ===
qubes-pdf-converter (2.1.15-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Fri, 16 Dec 2022 14:27:18 +0100

qubes-pdf-converter (2.1.15-1) unstable; urgency=medium

  [ Mateusz Piórkowski ]
  * Replace ImageMagick with GraphicsMagick

  [ noskb ]
  * qvm_convert_pdf_nautilus.py: Execute external commands
    asynchronously

  [ Marek Marczykowski-Górecki ]
  * ci: disable R4.0

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 16 Dec 2022 14:27:18 +0100

## qubes-pdf-converter 2.1.16

=== debian/changelog ===
qubes-pdf-converter (2.1.16-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Thu, 19 Jan 2023 12:24:40 +0100

qubes-pdf-converter (2.1.16-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * spec: add BR python3-setuptools

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 19 Jan 2023 12:24:40 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export PYTHON_PREFIX_ARG=--install-layout=deb

export DESTDIR=$(shell readlink -m .)/debian/tmp

%:
	dh $@

override_dh_auto_install:
	make install-vm

override_dh_missing:
	dh_missing --fail-missing

## qubes-pdf-converter 2.1.17

=== debian/changelog ===
qubes-pdf-converter (2.1.17-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Mon, 26 Jun 2023 14:29:01 +0200

qubes-pdf-converter (2.1.17-1) unstable; urgency=medium

  [ Alexander Paetzelt ]
  * Add archlinux package build file

  [ Marek Marczykowski-Górecki ]
  * Adjust Arch packaging for builderv2
  * Fix issues found by pylint

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 26 Jun 2023 14:29:01 +0200

## qubes-pdf-converter 2.1.18

=== debian/changelog ===
qubes-pdf-converter (2.1.18-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Fri, 30 Jun 2023 16:01:49 +0200

qubes-pdf-converter (2.1.18-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Do not build for Centos Stream 8

  [ tungsten987 ]
  * Update client.py
  * Update client.py

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 30 Jun 2023 16:01:49 +0200

## qubes-pdf-converter 2.1.19

=== debian/changelog ===
qubes-pdf-converter (2.1.19-1+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Fri, 13 Oct 2023 02:49:16 +0200

qubes-pdf-converter (2.1.19-1) unstable; urgency=medium

  * Migrate to new policy format

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 13 Oct 2023 02:49:16 +0200

## qubes-pdf-converter 2.1.20

=== Makefile ===
--- 
+++ 
@@ -24,14 +24,20 @@
 build:
 	make manpages -C doc
 
-install-vm:
+install-vm: install-service install-gnome install-kde4
+
+install-service:
 	make install -C doc
 	$(PYTHON) setup.py install -O1 $(PYTHON_PREFIX_ARG) --root $(DESTDIR)
 	install -d $(DESTDIR)/etc/qubes-rpc
 	ln -s ../../usr/lib/qubes/qpdf-convert-server $(DESTDIR)/etc/qubes-rpc/qubes.PdfConvert
 	install -D qvm-convert-pdf.gnome $(DESTDIR)/usr/lib/qubes/qvm-convert-pdf.gnome
+
+install-gnome:
 	install -d $(DESTDIR)/usr/share/nautilus-python/extensions
 	install -m 0644 qvm_convert_pdf_nautilus.py $(DESTDIR)/usr/share/nautilus-python/extensions
+
+install-kde4:
 	install -d $(DESTDIR)/usr/share/kde4/services
 	install -m 0644 qvm-convert-pdf.desktop $(DESTDIR)/usr/share/kde4/services

=== debian/changelog ===
qubes-pdf-converter (2.1.20-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Mon, 12 Aug 2024 17:38:43 +0200

qubes-pdf-converter (2.1.20-1) unstable; urgency=medium

  * rpm: do not install kde4 files on openSUSE
  * rpm: add BR required for directory ownership
  * rpm: mark packages as noarch

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 12 Aug 2024 17:38:43 +0200

## qubes-pdf-converter 2.1.21

=== debian/changelog ===
qubes-pdf-converter (2.1.21-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Sat, 24 Aug 2024 02:44:33 +0200

qubes-pdf-converter (2.1.21-1) unstable; urgency=medium

  * tests: assertEquals -> assertEqual

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 24 Aug 2024 02:44:33 +0200

## qubes-pdf-converter 2.1.22

=== debian/changelog ===
qubes-pdf-converter (2.1.22-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Thu, 26 Sep 2024 19:15:00 +0200

qubes-pdf-converter (2.1.22-1) unstable; urgency=medium

  [ Ali Mirjamali ]
  * Configurable qvm-convert-pdf resolution

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 26 Sep 2024 19:15:00 +0200

## qubes-pdf-converter 2.1.23

=== debian/changelog ===
qubes-pdf-converter (2.1.23-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Sun, 26 Jan 2025 03:49:32 +0100

qubes-pdf-converter (2.1.23-1) unstable; urgency=medium

  * Rebuild for Arch
  * ci: install deps for the pylint job
  * ci: add R4.3, drop R4.1

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 26 Jan 2025 03:49:32 +0100

## qubes-pdf-converter 2.1.24

=== debian/changelog ===
qubes-pdf-converter (2.1.24-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Thu, 18 Sep 2025 04:43:16 +0200

qubes-pdf-converter (2.1.24-1) unstable; urgency=medium

  [ Ali Mirjamali ]
  * Initialize asyncio event loop before using it

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 18 Sep 2025 04:43:16 +0200

## qubes-pdf-converter 2.1.25

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 build:
 	make manpages -C doc
 
-install-vm: install-service install-gnome install-kde4
+install-vm: install-service install-gnome install-kde4 install-pcmanfm-qt
 
 install-service:
 	make install -C doc
@@ -41,6 +41,10 @@
 	install -d $(DESTDIR)/usr/share/kde4/services
 	install -m 0644 qvm-convert-pdf.desktop $(DESTDIR)/usr/share/kde4/services
 
+install-pcmanfm-qt:
+	install -d $(DESTDIR)/usr/share/file-manager/actions
+	install -m 0644 qvm-convert-pdf-pcmanfm-qt.desktop $(DESTDIR)/usr/share/file-manager/actions
+
 install-dom0:
 	$(PYTHON) setup.py install -O1 --root $(DESTDIR)
 	# not needed in dom0

=== ci/requirements.txt ===
# WARNING: those requirements are used only for travis-ci.org
# they SHOULD NOT be used under normal conditions; use system package manager
click
pillow
pylint
tqdm

=== debian/changelog ===
qubes-pdf-converter (2.1.25-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Fri, 10 Oct 2025 03:40:10 +0200

qubes-pdf-converter (2.1.25-1) unstable; urgency=medium

  [ Aaron Rainbolt ]
  * Add pcmanfm-qt integration

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 10 Oct 2025 03:40:10 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Architecture: any
 Depends:
  poppler-utils,
- imagemagick,
+ graphicsmagick,
  python3 (>= 3.7.0),
  python3-nautilus | python-nautilus,
  python3-click,
